Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 3 Next »

Table of Contents

Prerequisites

  • Ant 1.7.1 or higher
  • Java 1.5 or higher
  • Sonar 2.8 or higher

Version Compatibility

Ant task

Sonar 2.6

Sonar 2.7

Sonar 2.8

Sonar 2.9 to Sonar 3.0

1.4

(error)

(error)

(tick)

(tick)

1.3

(error)

(error)

(tick)

(tick)

1.2

(error)

(error)

(tick)

(tick)

1.1

(error)

(error)

(tick)

(tick)

1.0

(tick)

(tick)

(tick) but without support of multi-modules

(error)

The way to configure the Sonar Ant task has changed between version 1.0 and version 1.1, so if you must use the Ant task version 1.0, please use this documentation page.

Older versions of Sonar are not supported.

Installation

  1. Download the Sonar Ant Task
  2. Declare the Sonar Ant Task and define the configuration in a common Ant script file:

    .

You are now ready to analyze a project with the Ant task

Release Notes

Loading

Release 1.4 (4 issues)

Loading

Release 1.3 (2 issues)

Loading

Release 1.2 (2 issues)

Loading

Release 1.1 (3 issues)

Loading

Release 1.0 (1 issues)

T Key Summary P Status Resolution
New Feature SONARPLUGINS-950 New ANT task to analyze projects Critical Closed Fixed

  • No labels